#include <stdio.h>

void main()
    {
    int a,b,i,j,c,p;
    scanf("%d %d", &a, &b);
    for (i = 1 ; i <= b ; i++)
        {
        scanf("%d", &p);
        }
    scanf("%d", &c);
    printf("0");
    }